tags 391345 patch
thanks

Hi David,

Attached is my proposed solution for this bug, which first makes the init
script responsible for trying to load the aoe module if needed, and second
only looks for /dev/etherd if the admin has configured the package.  At
least the first part of this patch is important, I think, and consistent
with what I find that other init scripts do if they require particular
kernel support for operation.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
[EMAIL PROTECTED]                                   http://www.debian.org/
diff -u aoetools-11/debian/changelog aoetools-11/debian/changelog
--- aoetools-11/debian/changelog
+++ aoetools-11/debian/changelog
@@ -1,3 +1,13 @@
+aoetools (11-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * High-urgency upload for RC bugfix.
+  * Have the init script opportunistically modprobe aoe, and exit out
+    if $INTERFACES == none before checking for /dev/etherd, so that the
+    package installs cleanly on unconfigured systems.  Closes: 391345.
+
+ -- Steve Langasek <[EMAIL PROTECTED]>  Fri, 27 Oct 2006 01:09:23 -0700
+
 aoetools (11-1) unstable; urgency=low
 
   * New upstream release:
diff -u aoetools-11/debian/aoetools.init aoetools-11/debian/aoetools.init
--- aoetools-11/debian/aoetools.init
+++ aoetools-11/debian/aoetools.init
@@ -35,13 +35,7 @@
 set -e
 
 do_start() {
-    if [ ! -c /dev/etherd/discover ]
-    then
-        echo "Missing devices under /dev/etherd/.  Please run" >&2
-        echo "  aoe-mkdevs /dev/etherd" >&2
-        echo "and try again."
-        exit 1
-    fi
+    modprobe aoe >/dev/null 2>&1 || true
 
     # We exit if the user do not want us to try this.
     if [ "$INTERFACES" = "none" ]
@@ -50,6 +44,14 @@
         exit 0
     fi
 
+    if [ ! -c /dev/etherd/discover ]
+    then
+        echo "Missing devices under /dev/etherd/.  Please run" >&2
+        echo "  aoe-mkdevs /dev/etherd" >&2
+        echo "and try again."
+        exit 1
+    fi
+
     # Try to set up interfaces for discovery, if any.
     if [ ! -z "$INTERFACES" ]
     then

Reply via email to